Summary: BLT widget extension to Tcl/Tk scripting language development
Name: blt
Version: 2.4
Release: 21.z%{?dist}

License: MIT
Group: Development/Libraries
Source: http://download.sourceforge.net/blt/BLT2.4z.tar.gz
Patch0: http://download.sourceforge.net/blt/blt2.4z-patch-2
Patch1: http://jfontain.free.fr/blt2.4z-patch-64
URL: http://sourceforge.net/projects/blt/
BuildRequires: tk-devel >= 8.4.7
Requires: tk >= 8.4.7
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root-%(%__id_u -n)

%description
BLT is a very powerful extension to Tk. It adds plotting widgets
(graph, barchart and stripchart), hierarchy tree and table, tab
notebook, table geometry manager, vector, background program
execution, busy utility, eps canvas item, drag and drop facility,
bitmap command and miscellaneous commands.
Note: this version is stubs enabled and therefore should be compatible
with Tcl/Tk versions after and including 8.3.1.


%package devel
Summary:        Development package for BLT
Group:          Development/Libraries
Requires:       %{name} = %{version}-%{release}

%description devel
BLT is an extension to the Tk toolkiy. BLT's most useful feature is the
provision of more widgets for Tk, but it also provides more geometry managers
and miscellaneous other commands. Note that you won't need to any patching
of the Tcl or Tk source file to use BLT, but you will need to have Tcl/Tk
installed in order to use BLT.

This package provides headers needed to build packages based on BLT.

%prep
%setup -q -n %{name}%{version}z
%patch0 -p1
%patch1 -p1

%build
%configure --with-tcl=%{_libdir} --with-tk=%{_libdir}
cd src/shared
%__make SHLIB_LD_FLAGS=-shared # no _smp_mflags; race conditions.

%install
rm -rf $RPM_BUILD_ROOT
DIRECTORY=$RPM_BUILD_ROOT%{_libdir}/%{name}%{version}
install -d $DIRECTORY
install -m 755 -p src/shared/libBLT24.so src/shared/libBLTlite24.so $DIRECTORY
install -m 644 -p library/*.{pro,tcl,xbm} library/tclIndex $DIRECTORY
install -d $RPM_BUILD_ROOT%{_includedir}/%{name}
install -m 644 -p src/*.h $RPM_BUILD_ROOT%{_includedir}/%{name}
echo 'package ifneeded BLT 2.4 "if {[llength [info commands tk]] > 0} {load [file join $dir libBLT24.so]} else {load [file join $dir libBLTlite24.so] BLT}"' > $DIRECTORY/pkgIndex.tcl
cp -p -r library/dd_protocols $DIRECTORY
rm -f html/Makefile.vc
# File in /etc/ld.so.conf.d
mkdir -p $RPM_BUILD_ROOT/%{_sysconfdir}/ld.so.conf.d
echo "%{_libdir}/%{name}%{version}" >> $RPM_BUILD_ROOT/%{_sysconfdir}/ld.so.conf.d/%{name}-%{_arch}.conf

%clean
rm -rf $RPM_BUILD_ROOT

%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig

%files
%defattr(-,root,root,0755)
%doc README INSTALL PROBLEMS html/
%config(noreplace) %{_sysconfdir}/ld.so.conf.d/*
%{_libdir}/%{name}%{version}/

%files devel
%defattr(-,root,root,-)
%{_includedir}/blt/*

%changelog
* Thu Jul 24 2008 Sergio Pascual <sergiopr at fedoraproject.org> 2.4-21.z
- Rebuilt for EL-5
- Minor typo fixed

* Thu Nov 15 2007 Sergio Pascual <sergiopr at fedoraproject.org> 2.4-19
- Renaming the file in /etc/ld.so.conf.d to %%name

* Mon Nov 05 2007 Sergio Pascual <sergiopr at fedoraproject.org> 2.4-18
- Providing file in /etc/ld.so.conf.d (bug #333081)

* Mon Oct 22 2007 Marek Mahut <mmahut fedoraproject.org> 2.4-17
- Providing devel package as per request in BZ#249812

* Thu Feb 8 2007 Jean-Luc Fontaine <jfontain@free.fr> 2.4-15.z
- require tk < 8.5

* Mon Aug 28 2006 Jean-Luc Fontaine <jfontain@free.fr> 2.4-14.z
- added dist tag
- rebuild for Fedora Extras 6

* Tue Feb 28 2006 Jean-Luc Fontaine <jfontain@free.fr> 2.4-13.z
- rebuild for Fedora Extras 5

* Thu Nov 10 2005 Jean-Luc Fontaine <jfontain@free.fr> 2.4-12.z
- only require tk and tk-devel for building

* Fri Apr  7 2005 Michael Schwendt <mschwendt[AT]users.sf.net>
- rebuilt

* Fri Nov 5 2004 Jean-Luc Fontaine <jfontain@free.fr> 0:2.4-10.z
- added patch to allow building on 64 bit architectures
- use %%libdir instead of %%prefix in configure for the same reason

* Tue Nov 16 2003 Jean-Luc Fontaine <jfontain@free.fr> 0:2.4-0.fdr.9.z
- in build requirements, work around tcl-devel and tk-devel packages non
  existence in RH 8.0 and 9

* Wed Nov 7 2003 Ville Skyttä <ville.skytta at iki.fi> 0:2.4-0.fdr.8.z
- disabled %%_smp_mflags in make stage
- escaped percent characters in change log

* Tue Nov 5 2003 Jean-Luc Fontaine <jfontain@free.fr> 0:2.4-0.fdr.7.z
- in installation stage, removed some leftover copies in parent
  directory which left dirt in BUILD directory

* Tue Nov 4 2003 Jean-Luc Fontaine <jfontain@free.fr> 0:2.4-0.fdr.6.z
- changed release tag from 0.fdr.0.X.z to 0.fdr.X.z as this is a post
  release
- use "download.sourceforge.net/..." instead of
  "prdownloads.sourceforge.net/..." to make URLs directly downloadable
- removed AutoReqProv
- used "%%setup -q -n ..." to remove unnecessary cd's.
- no longer override $RPM_OPT_FLAGS
- used %%_prefix instead of %%_usr
- added -p argument to install and cp to preserve timestamps
- replaced %%__cp and %%__install by cp and install
- fixed URL to point to sourceforge project page as homepage is empty
- no longer use RPM_OPT_FLAGS in CFLAGS as make argument as %%configure
  already handles it

* Tue Nov 1 2003 Jean-Luc Fontaine <jfontain@free.fr> 0:2.4-0.fdr.5.z
- removed RCS line
- set Epoch to 0 and removed it from Release
- used a full macroless URL to the source tarball and patches
- removed Packager (not used in Fedora)
- used rm instead of %%__rm macro
- used SMP flags in make stage

* Tue Oct 22 2003 Jean-Luc Fontaine <jfontain@free.fr> 0:2.4-0.fdr.4.z
- checked with rpmlint and improved accordingly.
